GrailsConsoleErrorPrintStream (Grails 3.3.2)
Date: 2017-11-24

Package: org.grails.build.logging

## [Java] Class GrailsConsoleErrorPrintStream

- org.grails.build.logging.GrailsConsoleErrorPrintStream

- Used to replace default System.err with one that routes calls through GrailsConsole.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsConsoleErrorPrintStream (java.io.PrintStream out)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.io.PrintStream` | `getTargetOut()`
    `` | `void` | `print(java.lang.Object o)`
    `` | `void` | `print(java.lang.String s)`
    `` | `void` | `println(java.lang.String s)`
    `` | `void` | `println(java.lang.Object o)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.io.PrintStream` | `java.io.PrintStream#println(double), java.io.PrintStream#println(float), java.io.PrintStream#println(long), java.io.PrintStream#println(java.lang.Object), java.io.PrintStream#println(java.lang.String), java.io.PrintStream#println([C), java.io.PrintStream#println(), java.io.PrintStream#println(boolean), java.io.PrintStream#println(char), java.io.PrintStream#println(int), java.io.PrintStream#append(java.lang.CharSequence), java.io.PrintStream#append(char), java.io.PrintStream#append(char), java.io.PrintStream#append(java.lang.CharSequence, int, int), java.io.PrintStream#append(java.lang.CharSequence, int, int), java.io.PrintStream#append(java.lang.CharSequence), java.io.PrintStream#format(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintStream#format(java.lang.String, [Ljava.lang.Object;), java.io.PrintStream#write(int), java.io.PrintStream#write([B, int, int), java.io.PrintStream#print(boolean), java.io.PrintStream#print(long), java.io.PrintStream#print(double), java.io.PrintStream#print(float), java.io.PrintStream#print(java.lang.Object), java.io.PrintStream#print(java.lang.String), java.io.PrintStream#print([C), java.io.PrintStream#print(char), java.io.PrintStream#print(int), java.io.PrintStream#flush(), java.io.PrintStream#close(), java.io.PrintStream#checkError(), java.io.PrintStream#printf(java.lang.String, [Ljava.lang.Object;), java.io.PrintStream#printf(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintStream#write([B), java.io.PrintStream#wait(long, int), java.io.PrintStream#wait(long), java.io.PrintStream#wait(), java.io.PrintStream#equals(java.lang.Object), java.io.PrintStream#toString(), java.io.PrintStream#hashCode(), java.io.PrintStream#getClass(), java.io.PrintStream#notify(), java.io.PrintStream#notifyAll()`
    `class java.io.FilterOutputStream` | `java.io.FilterOutputStream#write([B, int, int), java.io.FilterOutputStream#write([B), java.io.FilterOutputStream#write(int), java.io.FilterOutputStream#flush(), java.io.FilterOutputStream#close(), java.io.FilterOutputStream#wait(long, int), java.io.FilterOutputStream#wait(long), java.io.FilterOutputStream#wait(), java.io.FilterOutputStream#equals(java.lang.Object), java.io.FilterOutputStream#toString(), java.io.FilterOutputStream#hashCode(), java.io.FilterOutputStream#getClass(), java.io.FilterOutputStream#notify(), java.io.FilterOutputStream#notifyAll()`

- - ### Constructor Detail

    - #### public GrailsConsoleErrorPrintStream(java.io.PrintStream out)

  - ### Method Detail

    - #### public java.io.PrintStream getTargetOut()

    - #### @java.lang.Override public void print(java.lang.Object o)

    - #### @java.lang.Override public void print(java.lang.String s)

    - #### @java.lang.Override public void println(java.lang.String s)

    - #### @java.lang.Override public void println(java.lang.Object o)